normalize {EBImage} | R Documentation

## Intensity values linear scaling

### Description

Linearly scale the intensity values of an image to a specified range.

### Usage

      normalize(x, separate=TRUE, ft=c(0,1))

### Arguments

`x` | An `Image` object or an array.
`separate` | If `TRUE`, normalizes each frame separately.
`ft` | A numeric vector of 2 values, target minimum and maximum intensity values after normalization.

### Value

An `Image` object or an array, containing the transformed version of `x`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2006-2007

### Examples

      x = readImage(system.file('images', 'shapes.png', package='EBImage'))
      x = x[110:512,1:130]
      y = bwlabel(x)
      if (interactive()) display(x, title='Original')

      print(range(y))
      y = normalize(y)
      print(range(y))

      if (interactive()) display(y, title='Segmented')

[Package EBImage version 3.0.5 Index]